package com.goafanti.common.model;

import java.io.Serializable;
import java.util.Date;

/**
 * task_stop_log
 * @author 
 */
public class TaskStopLog implements Serializable {
    private Long id;

    /**
     * 任务暂停编号
     */
    private Long taskStopId;

    /**
     * 审核状态 0=发起，1=通过，2=拒绝
     */
    private Integer status;

    /**
     * 原因
     */
    private String reason;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getTaskStopId() {
        return taskStopId;
    }

    public void setTaskStopId(Long taskStopId) {
        this.taskStopId = taskStopId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}